Package org.flowable.eventregistry.api

# Interface ChannelDefinition

public interface ChannelDefinition
An object structure representing a channel definition

Author:
  Tijs Rademakers, Joram Barez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCategory()`
  category name of the channel definition
  `Date`
  `getCreateTime()`
  create time for this channel definition
  `String`
  `getDeploymentId()`
  The deployment in which this channel definition is contained.
  `String`
  `getDescription()`
  description of this channel definition
  `String`
  `getId()`
  unique identifier
  `String`
  `getImplementation()`
  The implementation type of the channel.
  `String`
  `getKey()`
  unique name for all versions this channel definition
  `String`
  `getName()`
  label used for display purposes
  `String`
  `getResourceName()`
  name of `the resource` of this channel definition.
  `String`
  `getTenantId()`
  The tenant identifier of this channel definition
  `String`
  `getType()`
  The type of the channel.
  `int`
  `getVersion()`
  version of this channel definition

- ## Method Details

  - ### getId

    String getId()
    unique identifier

  - ### getCategory

    String getCategory()
    category name of the channel definition

  - ### getName

    String getName()
    label used for display purposes

  - ### getKey

    String getKey()
    unique name for all versions this channel definition

  - ### getVersion

    int getVersion()
    version of this channel definition

  - ### getDescription

    String getDescription()
    description of this channel definition

  - ### getType

    String getType()
    The type of the channel. e.g.inbound, outbound

  - ### getImplementation

    String getImplementation()
    The implementation type of the channel. e.g. jms, kafka, rabbit

  - ### getResourceName

    String getResourceName()
    name of `the resource` of this channel definition.

  - ### getDeploymentId

    String getDeploymentId()
    The deployment in which this channel definition is contained.

  - ### getCreateTime

    Date getCreateTime()
    create time for this channel definition

  - ### getTenantId

    String getTenantId()
    The tenant identifier of this channel definition